package cn.reghao.autodop.dmaster.app.service;

import cn.reghao.autodop.dmaster.app.model.constant.StatusOps;
import cn.reghao.autodop.dmaster.app.model.po.AppRunning;
import cn.reghao.autodop.dmaster.app.model.po.config.AppConfig;
import cn.reghao.autodop.common.dagent.app.log.LogFile;

import java.util.List;

/**
 * 应用状态管理
 *
 * @author reghao
 * @date 2019-11-27 11:30:28
 */
public interface AppStatusService {
    void changeStatus(String appId, String machineId, StatusOps statusOps);
    void refreshAppStatus();
    void refreshAppStatus(String appId);
    void refreshAppStatus(AppRunning appRunning);
    void getStatus(AppConfig app, String machineId);
    List<LogFile> logFiles(String appId, String machineId);
    List<String> logContent(String appId, String logType, String logLevel, String machineId, String logFile);
}
